Page MenuHomePhabricator

Write presentation models for notifications in Gather
Closed, ResolvedPublic

Description

  • gather-hide
  • gather-unhide
  • gather-approve

Event Timeline

Catrope created this task.Oct 27 2015, 10:10 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Aklapper, Catrope.
Catrope renamed this task from Write presentation models for notification types in Gather to Write presentation models for notifications in Gather.Oct 27 2015, 10:17 PM
Catrope set Security to None.
Catrope triaged this task as High priority.Oct 28 2015, 12:03 AM

Change 256635 had a related patch set uploaded (by Mattflaschen):
WIP: Change Echo notifications to use new formatter with presentation model

https://gerrit.wikimedia.org/r/256635

Patch is -1ed. Since gather is only mobile beta this particular task is this really a high priority?

Legoktm added a subscriber: Legoktm.Dec 8 2015, 7:36 PM

When Echo switches over to the new system and drops support for the old one, Gather's notifications won't be displayed in the flyout. If that's okay, the priority can't be lowered.

Patch is -1ed. Since gather is only mobile beta this particular task is this really a high priority?

Notifications generated by Gather can still appear on desktop. Also, all the other presentation model patches have been merged or are about to be, so quite soon Gather will be the only holdout. Once we finish converting everything, we can start using the new system (which we need for cross-wiki notifications), and once the email formatter is finished we can start tearing down the old system.

Matt's on vacation, but since we are blocked on this, one of us will probably fix up his patch later this week.

Change 256635 merged by jenkins-bot:
Change Echo notifications to use new formatter with presentation model

https://gerrit.wikimedia.org/r/256635

Catrope closed this task as Resolved.Dec 16 2015, 1:57 AM